Copydir (Apache Ant API)
Date: 2017-02-02

org.apache.tools.ant.taskdefs

## Class Copydir

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.apache.tools.ant.taskdefs.Copydir

- All Implemented Interfaces:
    java.lang.Cloneable, SelectorContainer

  Deprecated.
  The copydir task is deprecated since Ant 1.2. Use copy instead.

      public class Copydir
      extends MatchingTask

  Copies a directory.
  Since:
    Ant 1.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `fileset`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Copydir()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Deprecated. Execute the task.
    `void` | `setDest(java.io.File dest)` Deprecated. The dest attribute
    `void` | `setFiltering(boolean filter)` Deprecated. The filtering attribute.
    `void` | `setFlatten(boolean flatten)` Deprecated. The flattening attribute.
    `void` | `setForceoverwrite(boolean force)` Deprecated. The forceoverwrite attribute.
    `void` | `setSrc(java.io.File src)` Deprecated. The src attribute

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Copydir

          public Copydir()

      Deprecated.

  - ### Method Detail

    - #### setSrc

          public void setSrc(java.io.File src)

      Deprecated.
      The src attribute
      Parameters:
        `src` - the source file

    - #### setDest

          public void setDest(java.io.File dest)

      Deprecated.
      The dest attribute
      Parameters:
        `dest` - the destination file

    - #### setFiltering

          public void setFiltering(boolean filter)

      Deprecated.
      The filtering attribute. Default is false.
      Parameters:
        `filter` - if true use filtering

    - #### setFlatten

          public void setFlatten(boolean flatten)

      Deprecated.
      The flattening attribute. Default is false.
      Parameters:
        `flatten` - if true use flattening

    - #### setForceoverwrite

          public void setForceoverwrite(boolean force)

      Deprecated.
      The forceoverwrite attribute. Default is false.
      Parameters:
        `force` - if true overwrite even if the destination file is newer that the source file

    - #### execute

          public void execute()
                       throws BuildException

      Deprecated.
      Execute the task.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - on error